Package com.github.robtimus.filesystems.sftp
Provides the classes and interfaces for SFTP file systems.
-
Interface Summary Interface Description FileSystemExceptionFactory A factory for creatingFileSystemExceptions based on replies from an SFTP server. -
Class Summary Class Description DefaultFileSystemExceptionFactory A defaultFileSystemExceptionFactorythat will return aNoSuchFileExceptionif theidof theSftpExceptionisChannelSftp.SSH_FX_NO_SUCH_FILE, anAccessDeniedExceptionif it'sChannelSftp.SSH_FX_PERMISSION_DENIED, or aFileSystemExceptionotherwise, unless specified otherwise.Identity A combination of a private and public key.SFTPEnvironment A utility class to set up environments that can be used in theFileSystemProvider.newFileSystem(URI, Map)andFileSystemProvider.newFileSystem(Path, Map)methods ofSFTPFileSystemProvider.SFTPFileSystemProvider A provider for SFTP file systems.SFTPPoolConfig Configuration for the client connection pools of SFTP file systems.SFTPPoolConfig.Builder A builder forSFTPPoolConfigobjects.SimpleUserInfo A simpleUserInfoimplementation that always returns the same passphrase and password. -
Annotation Types Summary Annotation Type Description SFTPEnvironment.QueryParam Indicates which query parameters can be used to define environment values.SFTPEnvironment.QueryParams A container forSFTPEnvironment.QueryParamannotations.